/*
 * ddev.c - BSDI device support functions for lsof
 */


/*
 * Copyright 1994 Purdue Research Foundation, West Lafayette, Indiana
 * 47907.  All rights reserved.
 *
 * Written by Victor A. Abell
 *
 * This software is not subject to any license of the American Telephone
 * and Telegraph Company or the Regents of the University of California.
 *
 * Permission is granted to anyone to use this software for any purpose on
 * any computer system, and to alter it and redistribute it freely, subject
 * to the following restrictions:
 *
 * 1. Neither the authors nor Purdue University are responsible for any
 *    consequences of the use of this software.
 *
 * 2. The origin of this software must not be misrepresented, either by
 *    explicit claim or by omission.  Credit to the authors and Purdue
 *    University must appear in documentation and sources.
 *
 * 3. Altered versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 *
 * 4. This notice may not be removed or altered.
 */

#ifndef lint
static char copyright[] =
"@(#) Copyright 1994 Purdue Research Foundation.\nAll rights reserved.\n";
static char *rcsid = "$Id: ddev.c,v 1.3 94/05/06 16:01:09 abe Exp $";
#endif


#include "lsof.h"


#define	DIRTYPE	dirent

_PROTOTYPE(static void readdev,(void));
_PROTOTYPE(static void stkdir,(char ***d, int *n, int *x, char *p));


/*
 * The find_ch_ino() function is obtained from ../common/fchi.frag.
 * The printchdevname() function is obtained from ../common/pcdn.frag.
 * The readdev() and stkdir() functions are obtained from ../common/rdev.frag.
 */
