

/*
 * find_ch_ino() - find the inode number for a character device file
 */

void
find_ch_ino()
{
	long ldev, tdev;
	int low, hi, mid;

	if (!Sdev)
		readdev();
	low = mid = 0;
	hi = Ndev - 1;
	ldev = (long)Lf->dev;
	while (low <= hi) {
		mid = (low + hi) / 2;
		tdev = (long)Sdev[mid]->rdev;
		if (ldev < tdev)
			hi = mid - 1;
		else if (ldev > tdev)
			low = mid + 1;
		else {
			Lf->inode = Sdev[mid]->inode;
			return;
		}
	}
}
