.\" @(#)duplink (C)  M. Brouwer and F. Thomas
.\" 
.TH DUPLINK 1 "Local (Apr 1993)"
.SH NAME
duplink \- links equal files together.
.SH SYNOPSIS
.B duplink
[
.B \-d \-e \-h \-n \-v \-V
] directory [directory ..]

.SH DESCRIPTION
.I duplink
finds files with equal contents in each directory and links them together.
Normally 
.I duplink
just prints out the shell commands needed to link the files together.
 
.SH OPTIONS
.PP
.TP 8
.B \-d
or
.TP
.B \-\-doit
link files together intead of printing a shell script (implies \-n)
.TP
.B \-e
or
.TP
.B \-\-remove_empty
remove files that are 0 bytes long
.TP
.B \-h
Show all options of 
.IR duplink .
.TP
.B \-n
Don't print warnings for unrecognized files. Normally it prints a warning for all non regular files like symlinks and devices.
.TP
.B \-v
Verbose mode. Shows what the program is doing. 
.TP
.B \-V
Print version number.

.SH "SEE ALSO"
.IR compressHelp (1), " duplink" .info

.SH AUTHOR
Michael Brouwer <michael@urc.tue.nl>
.SH THANKS
To Frank Thomas who wrote 
.IR compressHelp ,
and the algorithm used in 
.I dirtree.c
