

/*
 * printchdevname() - print character device name
 */

int
printchdevname(rdev, f)
	int rdev;			/* device */
	int f;				/* 1 = follow with '\n' */
{
	int low, hi, mid;
	struct dev *dp;

	if (!Sdev)
		readdev();
/*
 * Search device table for match.
 */
	low = mid = 0;
	hi = Ndev - 1;
        while (low <= hi) {
                mid = (low + hi) / 2;
		dp = Sdev[mid];
		if ((long)rdev < (long)dp->rdev)
			hi = mid - 1;
		else if ((long)rdev > (long)dp->rdev)
                        low = mid + 1;
                else {
			if (Lf->inode < 0L || (ino_t)Lf->inode == dp->inode) {
				if (f)
					(void) puts(dp->name);
				else
					(void) fputs(dp->name, stdout);
				return(1);
			}
			if (Lf->inode < (long)dp->inode)
				hi = mid - 1;
			else
				low = mid + 1;
		}
        }
	return(0);
}
