

/*
 * print_file() - print file
 */

void
print_file()
{
	if (!is_file_sel(Lf))
		return;
	if (Hdr == 0) {
	    (void) fputs("COMMAND     PID     USER   FD   TYPE     DEVICE ",
		stdout);
	    (void) printf("%10s", Foffset ? "OFFSET"
					  : Fsize ? "SIZE"
						  : "SIZE/OFF");
	    (void) puts("  INODE NAME");
	    Hdr++;
	}
	(void) printf("%-9.9s%6d %8.8s %4s%c%c %4.4s ",
			Lp->cmd,
			Lp->pid,
			printuid((UID_ARG)Lp->uid),
			Lf->fd,
			Lf->access,
			Lf->lock,
			Lf->type
		);
	if (Lf->dev_def)
		(void) printf(" %4d,%4d ", major(Lf->dev), minor(Lf->dev));
	else {
		if (Lf->dev_ch) {
			(void) fputs(Lf->dev_ch, stdout);
			putchar(' ');
		} else
			(void) fputs("           ", stdout);
	}
	if (Lf->sz_def)
		(void) printf("%10u", Lf->sz);
	else if (Lf->off_def) {
		if (Lf->off)
			(void) printf("%#10x", (Lf->off & 0xffffffff));
		else
			(void) fputs("       0x0", stdout);
	} else
		(void) fputs("          ", stdout);
	if (Lf->inode >= 0) {
		if (Lf->inode < 1000000l)
			(void) printf(" %6ld ", Lf->inode);
		else
			(void) printf(" *%05ld ", Lf->inode % 100000l);
	} else if (Lf->inode == -2l) {
		if (Lf->iproto[0] == '\0')
			(void) fputs("        ", stdout);
		else
			(void) printf(" %6.6s ", Lf->iproto);
	} else
		(void) fputs("        ", stdout);
	printname();
}
